/* sdl_gui.cmdline.h */

/* File autogenerated by gengetopt version 2.17  */

#ifndef SDL_GUI_CMDLINE_H
#define SDL_GUI_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef SDL_GUI_CMDLINE_PARSER_PACKAGE
#define SDL_GUI_CMDLINE_PARSER_PACKAGE "para_sdl_gui"
#endif

#ifndef SDL_GUI_CMDLINE_PARSER_VERSION
#define SDL_GUI_CMDLINE_PARSER_VERSION "(paraslash 0.2.14, transient singularity)\nCopyright (c) 1997-2006 by Andre Noll\nThis is free software with ABSOLUTELY NO WARRANTY. See COPYING for details."
#endif

struct sdl_gui_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int fullscreen_flag;	/* Use fullscreeen mode (default=off).  */
  const char *fullscreen_help; /* Use fullscreeen mode help description.  */
  int interactive_flag;	/* Activate interactive mode (default=off).  */
  const char *interactive_help; /* Activate interactive mode help description.  */
  int width_arg;	/* Specify screen width (default='1024').  */
  char * width_orig;	/* Specify screen width original value given at command line.  */
  const char *width_help; /* Specify screen width help description.  */
  int height_arg;	/* Specify screen height (default='768').  */
  char * height_orig;	/* Specify screen height original value given at command line.  */
  const char *height_help; /* Specify screen height help description.  */
  char * config_file_arg;	/* (default='~/.paraslash/sdl_gui.conf').  */
  char * config_file_orig;	/* (default='~/.paraslash/sdl_gui.conf') original value given at command line.  */
  const char *config_file_help; /* (default='~/.paraslash/sdl_gui.conf') help description.  */
  char * window_id_arg;	/* (currently ignored).  */
  char * window_id_orig;	/* (currently ignored) original value given at command line.  */
  const char *window_id_help; /* (currently ignored) help description.  */
  char * stat_cmd_arg;	/* command to read server and audiod status data from (default='para_audioc stat').  */
  char * stat_cmd_orig;	/* command to read server and audiod status data from original value given at command line.  */
  const char *stat_cmd_help; /* command to read server and audiod status data from help description.  */
  char * pic_cmd_arg;	/* command to read pic from (default='para_client pic').  */
  char * pic_cmd_orig;	/* command to read pic from original value given at command line.  */
  const char *pic_cmd_help; /* command to read pic from help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int fullscreen_given ;	/* Whether fullscreen was given.  */
  int interactive_given ;	/* Whether interactive was given.  */
  int width_given ;	/* Whether width was given.  */
  int height_given ;	/* Whether height was given.  */
  int config_file_given ;	/* Whether config_file was given.  */
  int window_id_given ;	/* Whether window-id was given.  */
  int stat_cmd_given ;	/* Whether stat_cmd was given.  */
  int pic_cmd_given ;	/* Whether pic_cmd was given.  */

} ;

extern const char *sdl_gui_args_info_purpose;
extern const char *sdl_gui_args_info_usage;
extern const char *sdl_gui_args_info_help[];

int sdl_gui_cmdline_parser (int argc, char * const *argv,
  struct sdl_gui_args_info *args_info);
int sdl_gui_cmdline_parser2 (int argc, char * const *argv,
  struct sdl_gui_args_info *args_info,
  int override, int initialize, int check_required);
int sdl_gui_cmdline_parser_file_save(const char *filename,
  struct sdl_gui_args_info *args_info);

void sdl_gui_cmdline_parser_print_help(void);
void sdl_gui_cmdline_parser_print_version(void);

void sdl_gui_cmdline_parser_init (struct sdl_gui_args_info *args_info);
void sdl_gui_cmdline_parser_free (struct sdl_gui_args_info *args_info);

int sdl_gui_cmdline_parser_configfile (char * const filename,
  struct sdl_gui_args_info *args_info,
  int override, int initialize, int check_required);

int sdl_gui_cmdline_parser_required (struct sdl_gui_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* SDL_GUI_CMDLINE_H */
