/*
 * Copyright (C) 2006 Andre Noll <maan@systemlinux.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */

/** \file stdin.h the stdin task structure and exported symbols from stdin.c */

/**
 * the task structure used for reading from stdin
 */
struct stdin_task {
	/** input buffer */
	char *buf;
	/** the size of \a buf */
	size_t bufsize;
	/** number of bytes currently loaded in \a buf */
	size_t loaded;
	/** whether \p STDIN_FILENO was included in the read fd set */
	int check_fd;
	/** the task structure */
	struct task task;
	/** non-zero on read error, or if a read from stdin returned zero */
	int eof;
};

void stdin_pre_select(struct sched *s, struct task *t);
void stdin_post_select(struct sched *s, struct task *t);
void stdin_set_defaults(struct stdin_task *sit);
